#include <stdio.h>
#include <stdlib.h>
#define MAX_SIZE 1000

    int main(){
        int N, K, x, rezultat;
        printf("Upisite koicinu karata iz spila i broj same karte koju madjionicar vidi:\n");
        scanf("%d",&N);
        scanf("%d",&K);
        int arr[MAX_SIZE];
        printf("Unesite %d karata iz spila:\n", N);
        for (int i=0; i<N; i++)
                {
                    scanf("%d", &arr[i]);
                }

            for(int i = 0; i < N; i++)
                    {
                        if(K == arr[i])
                        {
                            x = i+1;
                        }
                    }


        rezultat=arr[x];
        if (x<N)
        {
            printf("%d",rezultat);

        }
        else
        {
            printf("%d",arr[0]);
        }






            return 0;

        }